From ac409e439a807f4ee4890c40334cad183489703a Mon Sep 17 00:00:00 2001
From: Aurélien Bompard <aurelien@bompard.org>
Date: Mar 10 2017 18:12:49 +0000
Subject: [PATCH 797/1001] Move the right_width property along with the config


---

diff --git a/hubs/models.py b/hubs/models.py
index d833ab0..4102eeb 100644
--- a/hubs/models.py
+++ b/hubs/models.py
@@ -263,10 +263,6 @@ class Hub(BASE):
         return hub
 
     @property
-    def right_width(self):
-        return 12 - self.config.left_width
-
-    @property
     def left_widgets(self):
         return sorted(
             [w for w in self.widgets
@@ -286,7 +282,6 @@ class Hub(BASE):
             'config': self.config.__json__(),
 
             'widgets': [widget.idx for widget in self.widgets],
-            'left_width': self.config.left_width,
 
             'owners': [u.username for u in self.owners],
             'members': [u.username for u in self.members],
@@ -316,6 +311,10 @@ class HubConfig(BASE):
             'chat_domain': self.chat_domain,
         }
 
+    @property
+    def right_width(self):
+        return 12 - self.left_width
+
 
 def _widget_config_default(context):
     widget_name = context.current_parameters['plugin']
